Subject: [PATCH v3] Re: git-am: fix maildir support regression: accept email file as patch

From: Nicolas Sebrecht <[email-masked]>
Date: Thu, 16 Jul 2009 03:00:01 +0200

The 15/07/09, Junio C Hamano wrote:

> We traditionally allowed a mbox file or a directory name of a maildir (but
> never an individual file inside a maildir) to be given to "git am".  Even
> though an individual file in a maildir (or more generally, a piece of
> RFC2822 e-mail) is not a mbox file, it contains enough information to
> create a commit out of it, so there is no reason to reject one.  Running
> mailsplit on such a file feels stupid, but it does not hurt.

Junio, I'm sorry but you missed the point.

It is not about adding a new feature. It's about keeping compatibility
with maildir. The current version _rejects_ good patches.

But, as it's very easy to move emails from a maildir _or_ have a symlink
which links to "maildir/cur" or whatever, we really should rely on the
content of the files.

-- 
Nicolas Sebrecht